pub struct AllTradesHistory {
pub total: Option<i64>,
pub list: Vec<MarketTradeRecord>,
}Expand description
The answer of GET /md/v2/Securities/{exchange}/{symbol}/alltrades/history: a page of trades and their total.
Fields§
§total: Option<i64>How many trades the query matches in all.
list: Vec<MarketTradeRecord>The page.
Trait Implementations§
Source§impl Clone for AllTradesHistory
impl Clone for AllTradesHistory
Source§fn clone(&self) -> AllTradesHistory
fn clone(&self) -> AllTradesHistory
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for AllTradesHistory
impl Debug for AllTradesHistory
Source§impl Default for AllTradesHistory
impl Default for AllTradesHistory
Source§fn default() -> AllTradesHistory
fn default() -> AllTradesHistory
Returns the “default value” for a type. Read more
Source§impl<'de> Deserialize<'de> for AllTradesHistory
impl<'de> Deserialize<'de> for AllTradesHistory
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for AllTradesHistory
impl RefUnwindSafe for AllTradesHistory
impl Send for AllTradesHistory
impl Sync for AllTradesHistory
impl Unpin for AllTradesHistory
impl UnsafeUnpin for AllTradesHistory
impl UnwindSafe for AllTradesHistory
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more